org.apache.solr.client.solrj.io.stream

## Class DaemonStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.DaemonStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable, Expressible

      public class DaemonStream
      extends TupleStream
      implements Expressible

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaemonStream(StreamExpression expression, StreamFactory factory)`
    `DaemonStream(TupleStream tupleStream, String id, long runInterval, int queueSize)`
    `DaemonStream(TupleStream tupleStream, String id, long runInterval, int queueSize, boolean terminate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TupleStream>` | `children()`
    `void` | `close()`
    `boolean` | `equals(Object o)`
    `String` | `getId()`
    `Tuple` | `getInfo()`
    `StreamComparator` | `getStreamSort()`
    `int` | `hashCode()`
    `void` | `init(TupleStream tupleStream, String id, long runInterval, int queueSize)`
    `void` | `init(TupleStream tupleStream, String id, long runInterval, int queueSize, boolean terminate)`
    `void` | `open()`
    `Tuple` | `read()`
    `int` | `remainingCapacity()`
    `void` | `setDaemons(Map<String,DaemonStream> daemons)`
    `void` | `setStreamContext(StreamContext streamContext)`
    `void` | `shutdown()`
    `Explanation` | `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
    `StreamExpression` | `toExpression(StreamFactory factory)`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

      `getCost, getStreamNodeId, writeStreamClose, writeStreamOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DaemonStream

          public DaemonStream(StreamExpression expression,
                              StreamFactory factory)
                       throws IOException

      Throws:
        `IOException`

    - #### DaemonStream

          public DaemonStream(TupleStream tupleStream,
                              String id,
                              long runInterval,
                              int queueSize,
                              boolean terminate)

    - #### DaemonStream

          public DaemonStream(TupleStream tupleStream,
                              String id,
                              long runInterval,
                              int queueSize)

  - ### Method Detail

    - #### toExpression

          public StreamExpression toExpression(StreamFactory factory)
                                        throws IOException

      Specified by:
        `toExpression` in interface `Expressible`
      Throws:
        `IOException`

    - #### toExplanation

          public Explanation toExplanation(StreamFactory factory)
                                    throws IOException

      Description copied from interface: `Expressible`
      Returns an explanation about the stream object
      Specified by:
        `toExplanation` in interface `Expressible`
      Specified by:
        `toExplanation` in class `TupleStream`
      Parameters:
        `factory` - Stream factory for this, contains information about the function name
      Returns:
        Explanation about this stream object containing explanations of any child stream objects
      Throws:
        `IOException` - throw on any error

    - #### remainingCapacity

          public int remainingCapacity()

    - #### init

          public void init(TupleStream tupleStream,
                           String id,
                           long runInterval,
                           int queueSize)

    - #### init

          public void init(TupleStream tupleStream,
                           String id,
                           long runInterval,
                           int queueSize,
                           boolean terminate)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### getId

          public String getId()

    - #### open

          public void open()

      Specified by:
        `open` in class `TupleStream`

    - #### read

          public Tuple read()
                     throws IOException

      Specified by:
        `read` in class `TupleStream`
      Throws:
        `IOException`

    - #### getStreamSort

          public StreamComparator getStreamSort()

      Specified by:
        `getStreamSort` in class `TupleStream`

    - #### setStreamContext

          public void setStreamContext(StreamContext streamContext)

      Specified by:
        `setStreamContext` in class `TupleStream`

    - #### shutdown

          public void shutdown()

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `TupleStream`

    - #### children

          public List<TupleStream> children()

      Specified by:
        `children` in class `TupleStream`

    - #### getInfo

          public Tuple getInfo()

    - #### setDaemons

          public void setDaemons(Map<String,DaemonStream> daemons)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.